
%{!?configure_opts:       %global configure_opts       %{nil}}


Name: libibprof
Summary: Infiniband verbs profiling library
Version: 1.1.20
Release: 1%{?dist}

License: BSD
URL: https://github.com/mellanox-hpc/libibprof
Source: https://github.com/mellanox-hpc/libibprof/archive/v%version.tar.gz#/%{name}-%{version}.tar.gz
BuildRequires: gcc-c++ libstdc++ libstdc++-devel libibverbs-devel
#BuildRequires: hcoll mxm >= 2.0
BuildRequires: automake libtool


%description

Libibprof is an Infiniband verbs profiling library.  It intercepts
calls to the verbs API and generates basic tracing information.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q


%build
./autogen.sh
# mxm and hcoll are proprietary, but this does no harm if they're installed
mxm_dir=$(pkg-config --variable=prefix mxm||:)
hcoll_dir=$(pkg-config --variable=prefix hcoll||:)

if [ -d "$mxm_dir" ]; then
    RPM_CPPFLAGS="$RPM_CPPFLAGS -I$mxm_dir/include -DUSE_MXM=1"
fi
if [ -d "$hcoll_dir" ]; then
    RPM_CPPFLAGS="$RPM_CPPFLAGS -I$hcoll_dir/include -DUSE_HCOLL=1 -Wno-unused-variable"
fi

test -n "$RPM_CPPFLAGS" && CPPFLAGS="${RPM_CPPFLAGS}"

%configure %{?configure_opts}
make

%install
rm -rf "$RPM_BUILD_ROOT"
make DESTDIR="$RPM_BUILD_ROOT" install
mkdir -p $RPM_BUILD_ROOT%_datadir
mv $RPM_BUILD_ROOT%_libdir/pkgconfig $RPM_BUILD_ROOT%_datadir

%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig


%{!?_licensedir:%global license %doc}
%files
%exclude %_libdir/*a
%exclude %_prefix/README
%_libdir/lib*.so*
%_includedir/*
%dir %_datadir/pkgconfig
%_datadir/pkgconfig/*
%doc README NEWS
%license LICENSE


%changelog
* Wed Dec 30 2015 Dave Love <loveshack@fedoraproject.org> - 1.1.20-1
- Modified from the Mallanox spec included in the source
